debian etch and xfce 4.3.90-1

If none of the more specific forums is the right place to ask

debian etch and xfce 4.3.90-1

Postby cataract » 2006-05-24 20:58

Hi.

I downlowed xfce from this link http://www.xfce.org/index.php?page=download&lang=en
and i made those steps and preperations: http://www.os-works.com/documentation/xfce-installers/4.2.1/xfce-installer/#preparations

when i started to compile xfce, i got this problem when i was trying to build mousepad:

Code: Select all
## Building mousepad
make  all-recursive
make[1]: Entering directory `/tmp/xfce4-4.3.90.1-installer/mousepad'
Making all in po
make[2]: Entering directory `/tmp/xfce4-4.3.90.1-installer/mousepad/po'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/tmp/xfce4-4.3.90.1-installer/mousepad/po'
Making all in src
make[2]: Entering directory `/tmp/xfce4-4.3.90.1-installer/mousepad/src'
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_LOG_DOMAIN=\"mousepad\" -DLOCALEDIR=\""/usr/local/share/locale"\" -DICONDIR=\""/usr/local/share/pixmaps"\"   -I/usr/local/include  -I/usr/X11R6/include -I/usr/X11R6/include -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DXTHREADS -I/usr/X11R6/include -I/usr/local/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/atk-1.0   -fno-strict-aliasing -Werror -Wall -I/usr/local/include  -I/usr/X11R6/include -I/usr/X11R6/include -O2 -pipe -MT mousepad-main.o -MD -MP -MF ".deps/mousepad-main.Tpo" -c -o mousepad-main.o `test -f 'main.c' || echo './'`main.c; \
   then mv -f ".deps/mousepad-main.Tpo" ".deps/mousepad-main.Po"; else rm -f ".deps/mousepad-main.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_LOG_DOMAIN=\"mousepad\" -DLOCALEDIR=\""/usr/local/share/locale"\" -DICONDIR=\""/usr/local/share/pixmaps"\"   -I/usr/local/include  -I/usr/X11R6/include -I/usr/X11R6/include -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DXTHREADS -I/usr/X11R6/include -I/usr/local/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/atk-1.0   -fno-strict-aliasing -Werror -Wall -I/usr/local/include  -I/usr/X11R6/include -I/usr/X11R6/include -O2 -pipe -MT mousepad-window.o -MD -MP -MF ".deps/mousepad-window.Tpo" -c -o mousepad-window.o `test -f 'window.c' || echo './'`window.c; \
   then mv -f ".deps/mousepad-window.Tpo" ".deps/mousepad-window.Po"; else rm -f ".deps/mousepad-window.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_LOG_DOMAIN=\"mousepad\" -DLOCALEDIR=\""/usr/local/share/locale"\" -DICONDIR=\""/usr/local/share/pixmaps"\"   -I/usr/local/include  -I/usr/X11R6/include -I/usr/X11R6/include -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DXTHREADS -I/usr/X11R6/include -I/usr/local/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/atk-1.0   -fno-strict-aliasing -Werror -Wall -I/usr/local/include  -I/usr/X11R6/include -I/usr/X11R6/include -O2 -pipe -MT mousepad-menu.o -MD -MP -MF ".deps/mousepad-menu.Tpo" -c -o mousepad-menu.o `test -f 'menu.c' || echo './'`menu.c; \
   then mv -f ".deps/mousepad-menu.Tpo" ".deps/mousepad-menu.Po"; else rm -f ".deps/mousepad-menu.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_LOG_DOMAIN=\"mousepad\" -DLOCALEDIR=\""/usr/local/share/locale"\" -DICONDIR=\""/usr/local/share/pixmaps"\"   -I/usr/local/include  -I/usr/X11R6/include -I/usr/X11R6/include -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DXTHREADS -I/usr/X11R6/include -I/usr/local/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/atk-1.0   -fno-strict-aliasing -Werror -Wall -I/usr/local/include  -I/usr/X11R6/include -I/usr/X11R6/include -O2 -pipe -MT mousepad-callback.o -MD -MP -MF ".deps/mousepad-callback.Tpo" -c -o mousepad-callback.o `test -f 'callback.c' || echo './'`callback.c; \
   then mv -f ".deps/mousepad-callback.Tpo" ".deps/mousepad-callback.Po"; else rm -f ".deps/mousepad-callback.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_LOG_DOMAIN=\"mousepad\" -DLOCALEDIR=\""/usr/local/share/locale"\" -DICONDIR=\""/usr/local/share/pixmaps"\"   -I/usr/local/include  -I/usr/X11R6/include -I/usr/X11R6/include -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DXTHREADS -I/usr/X11R6/include -I/usr/local/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/atk-1.0   -fno-strict-aliasing -Werror -Wall -I/usr/local/include  -I/usr/X11R6/include -I/usr/X11R6/include -O2 -pipe -MT mousepad-keyevent.o -MD -MP -MF ".deps/mousepad-keyevent.Tpo" -c -o mousepad-keyevent.o `test -f 'keyevent.c' || echo './'`keyevent.c; \
   then mv -f ".deps/mousepad-keyevent.Tpo" ".deps/mousepad-keyevent.Po"; else rm -f ".deps/mousepad-keyevent.Tpo"; exit 1; fi
cc1: warnings being treated as errors
callback.c: In function ‘cb_file_print’:
callback.c:175: warning: pointer targets in passing argument 5 of ‘g_convert’ differ in signedness
callback.c:175: warning: pointer targets in passing argument 6 of ‘g_convert’ differ in signedness
make[2]: *** [mousepad-callback.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/tmp/xfce4-4.3.90.1-installer/mousepad/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/xfce4-4.3.90.1-installer/mousepad'
make: *** [all] Error 2
!! Failed to build mousepad, see the errors above
!! for details on the problem.




any help? what i must do? i also tryed to install mousepad from synaptic but the problem still exist.
thanks in advance. :roll:
Debian--Etch
Image
User avatar
cataract
 
Posts: 29
Joined: 2006-03-31 12:24

Postby Harold » 2006-05-24 23:25

Mousepad is nothing but Leafpad with a new name. Save yourself the agony and do apt-get install leafpad. :-)
Harold
 
Posts: 1502
Joined: 2005-01-07 00:15

Postby brain » 2006-05-24 23:31

or better(?) yet, get xfce 4.3.90.1-2 precompiled from unstable. :wink:
User avatar
brain
 
Posts: 253
Joined: 2006-04-25 17:15

Postby cataract » 2006-05-24 23:33

there is no Leafpad packet in etch
Debian--Etch
Image
User avatar
cataract
 
Posts: 29
Joined: 2006-03-31 12:24

Postby cataract » 2006-05-24 23:34

brain wrote:or better(?) yet, get xfce 4.3.90.1-2 precompiled from unstable. :wink:


any suggestion on how to do this ? :D
Debian--Etch
Image
User avatar
cataract
 
Posts: 29
Joined: 2006-03-31 12:24

Postby Harold » 2006-05-24 23:38

?!?!?! I use Etch. I just did apt-cache search leafpad and it showed up. In fact, mousepad is in Etch also.

Those instruction you looked at are kind of old. They ae mostly right, but not 100%. I haven't looked at the XFCE4.4 Beta in Sid. I used the installer found at http://www.xfce.org/archive/xfce-4.3.90.1/installers/ If you use this installer, you want to be root when you launch it.
Harold
 
Posts: 1502
Joined: 2005-01-07 00:15

Postby cataract » 2006-05-24 23:47

mousepad is in etch packages. but not the leafpad

That's the installer i use.
but i got the messages i posted in my first post. :D
Debian--Etch
Image
User avatar
cataract
 
Posts: 29
Joined: 2006-03-31 12:24

Postby Harold » 2006-05-25 00:05

Sorry. I am awake now, and I'm betting that the problem with mousepad brought the entire installation process to a halt. I made one pass of the error message and nothing jumped out at me. I'll look harder.

Edit 1: Made a second pass and can't tell what the problem is. Try posting to the Xfce User Mailing list. http://foo-projects.org/pipermail/xfce/ The Xfce developers all lurk on that list.
Harold
 
Posts: 1502
Joined: 2005-01-07 00:15

Postby cataract » 2006-05-25 00:09

Hey Harold thanks :)

i also tryed to compile the newest version of mousepad and then tryed to install again the xfce. and as you quess i got the same error (mousepad error compile stoped the entire installation). :(

i think this installer works perfect in sid. I use etch
Debian--Etch
Image
User avatar
cataract
 
Posts: 29
Joined: 2006-03-31 12:24

Postby cataract » 2006-05-25 00:14

Harold wrote:Sorry. I am awake now, and I'm betting that the problem with mousepad brought the entire installation process to a halt. I made one pass of the error message and nothing jumped out at me. I'll look harder.

Edit 1: Made a second pass and can't tell what the problem is. Try posting to the Xfce User Mailing list. http://foo-projects.org/pipermail/xfce/ The Xfce developers all lurk on that list.


have you installed xfce 4.3.90-1 in etch??
is it possible this version can't be installed in etch?
Debian--Etch
Image
User avatar
cataract
 
Posts: 29
Joined: 2006-03-31 12:24

Postby brain » 2006-05-25 00:17

cataract wrote:
brain wrote:or better(?) yet, get xfce 4.3.90.1-2 precompiled from unstable. :wink:
any suggestion on how to do this ? :D

Sure. By using APT-pinning you can easily install packages from unstable.
User avatar
brain
 
Posts: 253
Joined: 2006-04-25 17:15

Postby Harold » 2006-05-25 00:18

I'm sitting here running Debian Etch and the Xfce 4.4 Beta. Only problem I had was that I had to download and compile ALSA libraries from www.alsa-project.org. I didn't even realize until this afternoon that the installer included Mousepad.
Harold
 
Posts: 1502
Joined: 2005-01-07 00:15

Postby cataract » 2006-05-25 00:29

Harold wrote:I'm sitting here running Debian Etch and the Xfce 4.4 Beta. Only problem I had was that I had to download and compile ALSA libraries from www.alsa-project.org. I didn't even realize until this afternoon that the installer included Mousepad.


weird things. :?

i always take this in graphicall-install and then the installation stops:

Code: Select all
Xfce GTK+ engine and themes
Running configure... done
Running make all... done
Running make install... done
Cleaning up... done
Xfce Icon Theme
Running configure... done
Running make all... done
Running make install... done
Cleaning up... done
Xfce Utility Library
Running configure... done
Running make all... done
Running make install... done
Cleaning up... done
Xfce MCS Library
Running configure... done
Running make all... done
Running make install... done
Cleaning up... done
Xfce GUI Library
Running configure... done
Running make all... done
Running make install... done
Cleaning up... done
Xfce MCS Manager
Running configure... done
Running make all... done
Running make install... done
Cleaning up... done
EXO Application Library
Running configure... done
Running make all... done
Running make install... done
Cleaning up... done
Mousepad Text Editor
Running configure... done
Running make all... failed


the most weird thing is that i can succesfully compile and install the mousepad vertion for xfce 4.3.90 :( :roll:
Debian--Etch
Image
User avatar
cataract
 
Posts: 29
Joined: 2006-03-31 12:24

Postby cataract » 2006-05-25 09:57

i found the problem.
i added some lines in me /etc/apt/source.list

deb-src http://http.us.debian.org/debian testing main contrib non-free
deb-src http://http.us.debian.org/debian/ testing main contrib non-free
deb http://security.debian.org/ etch/updates main contrib non-free
deb http://security.debian.org/ etch/updates main contrib


and i installed leafpad, that i could find before in my source.list.

thanks for the help.

:D
Debian--Etch
Image
User avatar
cataract
 
Posts: 29
Joined: 2006-03-31 12:24


Return to General Questions

Who is online

Users browsing this forum: No registered users and 9 guests

fashionable